package cn.nex.api;

import java.util.Date;
import java.util.HashMap;

public class NexApi {
    static final String API_URL = "http://api.nex-i.cn/";
    static final String APP_ID = "Your App Id";
    static final String APP_SECRET = "Your App Secret";
    static final String VERSION = "1";

    /**
     * 设备心跳上报，接口文档：http://api.nex-i.cn/wiki/location/device
     * @return String
     *
     */
    public static String heartbeat() throws Exception {
        HashMap<String, String> params = new HashMap<>();
        params.put("appid", APP_ID);
        params.put("version", VERSION);
        params.put("timestamp", new Date().getTime() / 1000 + "");
        params.put("sub_board_imei" , "359355041886388");
        params.put("sub_board_accid" , "1440090328892");
        params.put("sub_board_status" , "1");
        params.put("apk_version" , "1.0");
        params.put("camera_sn" , "CM12345678");
        params.put("camera_status" , "1");
        params.put("network" , "wifi");
        params.put("ssid" , "nex-5g");
        params.put("battery_remain" , "0.16");
        params.put("lon" , "120.017271");
        params.put("lat" , "30.296606");

        String sign = NexUtil.signature(params, APP_SECRET);
        params.put("sign", sign);

        return NexUtil.sendPost(API_URL + "location/device", params);

    }



}
